//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Device/IO/ReadWriteNumpyTXT.h
//! @brief     Defines ReadWriteNumpyTXT
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif // SWIG
#ifndef BORNAGAIN_DEVICE_IO_READWRITENUMPYTXT_H
#define BORNAGAIN_DEVICE_IO_READWRITENUMPYTXT_H

#include <istream>

class Datafield;

//! Class for reading and writing Datafield from simple ASCII file with the layout as in
//! numpy.savetxt.

class ReadWriteNumpyTXT {
public:
    Datafield* readDatafield(std::istream& input_stream);
    void writeDatafield(const Datafield& data, std::ostream& output_stream);

private:
    static void write1DRepresentation(const Datafield& data, std::ostream& output_stream);
    static void write2DRepresentation(const Datafield& data, std::ostream& output_stream);
    static double ignoreDenormalized(double value);
};

#endif // BORNAGAIN_DEVICE_IO_READWRITENUMPYTXT_H
