//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Support/Util/Error.h
//! @brief     Defines error class
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_SUPPORT_UTIL_ERROR_H
#define BORNAGAIN_GUI_SUPPORT_UTIL_ERROR_H

#include <QByteArray>
#include <QString>

class Error : public std::exception {
public:
    explicit Error(const QString& message);
    const char* what() const noexcept override;

private:
    QByteArray m_messageAsLatin1;
};

#endif // BORNAGAIN_GUI_SUPPORT_UTIL_ERROR_H
