//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Loaders/AutomaticDataLoader1DResultModel.h
//! @brief     Defines class AutomaticDataLoader1DResultModel
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_LOADERS_AUTOMATICDATALOADER1DRESULTMODEL_H
#define BORNAGAIN_GUI_VIEW_LOADERS_AUTOMATICDATALOADER1DRESULTMODEL_H

#include "GUI/Support/IO/AbstractDataLoaderResultModel.h"

class RealItem;

//! The result model of a AutomaticDataLoader1D (for showing the import results in a table view).
class AutomaticDataLoader1DResultModel : public AbstractDataLoaderResultModel {
public:
    AutomaticDataLoader1DResultModel(RealItem* item);

protected:
    bool rowIsSkipped(int row) const override;
    using AbstractDataLoaderResultModel::rowIsSkipped;
    QString headerTextOfCalculatedColumn(int column) const override;
    int columnCount(ColumnType type) const override;
    using AbstractDataLoaderResultModel::columnCount;
    QString cellText(ColumnType type, int row, int col) const override;
    bool rowHasError(int row) const override;
    using AbstractDataLoaderResultModel::rowHasError;
    int rowCount() const override;
    using AbstractDataLoaderResultModel::rowCount;

private:
    RealItem* m_item;
};

#endif // BORNAGAIN_GUI_VIEW_LOADERS_AUTOMATICDATALOADER1DRESULTMODEL_H
