//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Loaders/DataLoaderUtil.h
//! @brief     Utility functions for data loaders
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_LOADERS_DATALOADERUTIL_H
#define BORNAGAIN_GUI_VIEW_LOADERS_DATALOADERUTIL_H

class AbstractDataLoader1D;
class QString;

//! clones the loader as a user defined loader and puts it in DataLoaders1D store
void cloneAsUserDefinedLoader(AbstractDataLoader1D* loader, const QString& name);

//! register the concrete 1D data loaders with DataLoaders1D
void register1DDataLoaders();

#endif // BORNAGAIN_GUI_VIEW_LOADERS_DATALOADERUTIL_H
