//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/PlotSpecular/SpecularDataPropertyWidget.h
//! @brief     Defines class SpecularDataPropertyWidget
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_PLOTSPECULAR_SPECULARDATAPROPERTYWIDGET_H
#define BORNAGAIN_GUI_VIEW_PLOTSPECULAR_SPECULARDATAPROPERTYWIDGET_H

#include "GUI/View/Common/DataPropertyWidget.h"

//! Widget to edit properties of a SpecularDataItem.

class SpecularDataPropertyWidget : public DataPropertyWidget {
    Q_OBJECT
public:
    explicit SpecularDataPropertyWidget(QWidget* parent = nullptr);

private:
    void createPanelElements() override;
};

#endif // BORNAGAIN_GUI_VIEW_PLOTSPECULAR_SPECULARDATAPROPERTYWIDGET_H
