//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Tool/DesignerHelper.h
//! @brief     Defines class DesignerHelper
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_TOOL_DESIGNERHELPER_H
#define BORNAGAIN_GUI_VIEW_TOOL_DESIGNERHELPER_H

//! collection of static methods with SampleDesigner geometry settings
class DesignerHelper {
public:
    //! Returns system dependent font size
    static int getSectionFontSize();
    static int getLabelFontSize();
    static int getPortFontSize();
    static int getPythonEditorFontSize();
};

#endif // BORNAGAIN_GUI_VIEW_TOOL_DESIGNERHELPER_H
