//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Sample/Multilayer/MultilayerUtils.h
//! @brief     Defines namespace SampleUtils::Multilayer.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif // SWIG

#ifndef BORNAGAIN_SAMPLE_MULTILAYER_MULTILAYERUTILS_H
#define BORNAGAIN_SAMPLE_MULTILAYER_MULTILAYERUTILS_H

#include <cstddef>

class Layer;
class LayerRoughness;
class MultiLayer;

//! Helper functions for class MultiLayer.

namespace SampleUtils::Multilayer {

//! Returns top roughness of layer
const LayerRoughness* LayerTopRoughness(const MultiLayer& sample, size_t i);

//! Returns the index of the given layer
size_t IndexOfLayer(const MultiLayer& sample, const Layer* p_layer);

bool hasRoughness(const MultiLayer& sample);

} // namespace SampleUtils::Multilayer

#endif // BORNAGAIN_SAMPLE_MULTILAYER_MULTILAYERUTILS_H
