//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Sample/StandardSamples/MultiLayerWithNCRoughnessBuilder.cpp
//! @brief     Implement class MultiLayerWithNCRoughnessBuilder.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "Sample/StandardSamples/MultiLayerWithNCRoughnessBuilder.h"
#include "Sample/Interface/LayerRoughness.h"
#include "Sample/Multilayer/MultiLayer.h"

MultiLayer* ExemplarySamples::createMultiLayerWithNCRoughness()
{
    auto* sample = createMultiLayerWithRoughness();
    sample->setRoughnessModel(RoughnessModel::NEVOT_CROCE);
    return sample;
}
