cmake_path(SET outfile NORMALIZE ${xx_outdir}/${xx_subdir}/${xx_name})
cmake_path(SET reffile NORMALIZE ${xx_refdir}/${xx_subdir}/${xx_name})

message(STATUS "RunEqualityTest step 1: Going to run ${xx_script}")
execute_process(COMMAND ${CMAKE_COMMAND} -E env
    PYTHONPATH=${xx_bindir}/lib
    BA_EXAMPLE_DATA_DIR=${xx_datdir}
    ${Python3_EXECUTABLE} -B
    ${xx_script} sim_n=${xx_nsim} show=n datfile=${outfile}
    TIMEOUT 10
    RESULT_VARIABLE res)
if(NOT res EQUAL 0)
    message(FATAL_ERROR "RunEqualityTest ${xx_name}: script ${xx_script} failed: ${res}")
endif()

set(xx_pycmd "${xx_srcdir}/CheckEquality.py ${outfile} ${reffile} ${xx_tolerance}")
message(STATUS "RunEqualityTest step 2: Going to run ${xx_pycmd}")
execute_process(COMMAND  ${CMAKE_COMMAND} -E env
    PYTHONPATH=${xx_bindir}/lib
    ${Python3_EXECUTABLE} -B
    ${xx_srcdir}/CheckEquality.py ${outfile} ${reffile} ${xx_tolerance}
    TIMEOUT 10
    RESULT_VARIABLE res)
if(NOT res EQUAL 0)
    message(FATAL_ERROR "CheckEquality ${xx_name} failed: ${res}")
endif()
