#include "Base/Axis/CustomBinAxis.h"
#include "Device/IO/DataFormatUtils.h"
#include "Tests/GTestWrapper/google_test.h"

TEST(CusomBinAxisTest, CheckClone)
{
    CustomBinAxis axis0("name", 100, -1.0, 1.0);
    CustomBinAxis* clone = axis0.clone();
    EXPECT_TRUE(*clone == axis0);
}

TEST(CusomBinAxisTest, IOStream)
{
    CustomBinAxis axis0("name", 100, -1.0, 1.0);
    std::ostringstream oss;
    oss << axis0;
    std::istringstream iss(oss.str());

    std::unique_ptr<IAxis> result(DataUtils::Format::createAxis(iss));
    EXPECT_TRUE(*result == axis0);
}
