#include "Resample/Flux/MatrixFlux.h"
#include "Tests/GTestWrapper/google_test.h"

static const MatrixFlux defaultFlux{-1., {0., 0.}, R3{0.0, 0.0, 0.0}, 0.};

TEST(MatrixFluxTest, Components)
{
    Spinor s1 = defaultFlux.T1plus();
    EXPECT_EQ(s1.u, 0.);
    EXPECT_EQ(s1.v, 0.);

    Spinor s2 = defaultFlux.T1min();
    EXPECT_EQ(s2.u, 0.);
    EXPECT_EQ(s2.v, complex_t(1., 0.));

    Spinor s3 = defaultFlux.T2plus();
    EXPECT_EQ(s3.u, complex_t(1.0, 0.0));
    EXPECT_EQ(s3.v, 0.);

    Spinor s4 = defaultFlux.T2min();
    EXPECT_EQ(s4.u, 0.);
    EXPECT_EQ(s4.v, 0.);

    Spinor s5 = defaultFlux.R1plus();
    EXPECT_EQ(s5.u, 0.);
    EXPECT_EQ(s5.v, 0.);

    Spinor s6 = defaultFlux.R1min();
    EXPECT_EQ(s6.u, 0.);
    EXPECT_EQ(s6.v, complex_t(-1., 0.));

    Spinor s7 = defaultFlux.R2plus();
    EXPECT_EQ(s7.u, complex_t(-1.0, 0.0));
    EXPECT_EQ(s7.v, 0.);

    Spinor s8 = defaultFlux.R2min();
    EXPECT_EQ(s8.u, 0.);
    EXPECT_EQ(s8.v, 0.);
}

TEST(MatrixFluxTest, getKz)
{
    Spinor s = defaultFlux.getKz();
    EXPECT_EQ(complex_t(0.0, 0.0), s.u);
    EXPECT_EQ(complex_t(0.0, 0.0), s.v);
}
