# BornAgain packaging

include(InstallRequiredSystemLibraries)

set(CPACK_PACKAGE_VENDOR "Forschungszentrum Juelich GmbH")

configure_file(COPYING LICENSE.txt COPYONLY)
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_BINARY_DIR}/LICENSE.txt)

set(CPACK_PACKAGE_RELOCATABLE True)

set(CPACK_SOURCE_PACKAGE_FILE_NAME ${CMAKE_PROJECT_NAME}-${CMAKE_PROJECT_VERSION})
set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CPACK_SOURCE_PACKAGE_FILE_NAME})

if(WIN32)
    include(BornAgain/PackWindows)
elseif(APPLE)
    include(BornAgain/PackMacOS)
elseif(UNIX)
    if(BUILD_DEBIAN) # one can build debian package only on UNIX system
        include(BornAgain/PackDebian)
    endif()
    set(CPACK_BINARY_TZ OFF)
    include(BornAgain/PackSource)
endif()

include(CPack)

set(CPACK_COMPONENTS_ALL Libraries Headers Examples Applications Runtime)

message(STATUS "Installer name: ${CPACK_PACKAGE_FILE_NAME}")
message(STATUS "Source package name: ${CPACK_SOURCE_PACKAGE_FILE_NAME}")
message(STATUS "Package components: ${CPACK_COMPONENTS_ALL}")
