## How does BornAgain compute depth profiles

Analysis of BornAgain v1.19.0

### Simulation computes an incoherent sum

We consider a simulation handled by class `DepthProbeSimulation < ISimulation`
(where `<` indicates inheritance).

The function `ISimulation::runSimulation`
- calls `ISimulation::prepareSimulation`, which
    - does nothing of interest, except for sample builders
- loops over parameter combinations, thereby performing an incoherent summation:
  - for each parameter set, `runSingleSimulation`;
- calls `DepthProbeSimulation::moveDataFromCache` to collect results.
  - also calls `transferResultsToIntensityMap`, which does nothing except for `OffSpecSimulation`.

`ISimulation::runSingleSimulation` handles the multithreaded parallel computation
for batches of detector pixels (`SimulationElement`s). It
- uses `DepthProbeSimulation::generateSingleThreadedComputation`
    to create instances of `DepthProbeComputation < IComputation`;
- for each instance, runs `IComputation.run`;
- calls `ISimulation2D::normalize`;
- calls `ISimulation2D::addBackgroundIntensity`.

The `IComputation` constructor creates the member `ProcessedSample m_processed_sample`.

The `DepthProbeComputation` constructor
    sets the member `DepthProbeComputationTerm m_computation_term`
    using `ProcessedSample` ...?...

`DepthProbeComputationTerm::compute` computes intensities for all z at one alpha_i.
