+++
title = "Linux"
weight = 30
+++

## Install on Linux

BornAgain Python package is available in PyPI repository.

BornAgain GUI application is provided as 64-bit binary bundle. 

### Install BornAgain Python package

BornAgain Python package can be installed with `pip`:
```
$ python -m pip install bornagain
```
### Install BornAgain GUI application

There are two ways to install BornAgain GUI on Linux:

- using the Debian/Ubuntu package provided by external maintainers
  at https://tracker.debian.org/pkg/bornagain
- using the installer shell script described in the following.

The BornAgain Linux installer can be downloaded from {{% url-releases %}}.
Choose installer according to the version of Python, e.g. `{{% recommended-linuxinstaller %}}`.

The installer is self-extracting and does _not_ need any root permissions.

It can be used as follows
(here, installation root path is chosen to be `~/ba`):
```
$ chmod +x {{% recommended-linuxinstaller %}}  # permit execution
$ ba_path='~/ba'
$ mkdir $ba_path  # make a deliberate installation path 
$ ./{{% recommended-linuxinstaller %}} --exclude-subdir --skip-license --prefix=$ba_path
```
and then, the GUI can be executed:
```
$ cd $ba_path
$ ./bin/bornagain
```

A description of available options can be displayed with
```
$ {{% recommended-linuxinstaller %}} --help
```

The GUI package was tested with the standard X11 window system.
If you are using the alternative Wayland window system,
please let us know about your experience.

{{% children  %}}
