+++
title = "MacOS"
weight = 20
+++

## Install on MacOS

BornAgain GUI application for macOS is provided as 64-bit `.dmg` installer.

BornAgain Python package is available in PyPI repository and can be installed with `pip`. This package is required for running scripts or importing them into the GUI application.

To install and run BornAgain for the first time proceed with the following steps:

- [Install Python](#install-python)
- [Install BornAgain Python package](#install-bornagain-python-package)
- [Install BornAgain GUI application](#install-bornagain-gui-application)


### Install Python
 
{{< alert theme="info" >}}
If Python is already installed and set up, this block can be skipped.
{{< /alert >}}

{{< alert theme="warning" >}}
While Python comes pre-installed on macOS, it is always quite outdated and not recommended to use together with BornAgain libraries.
{{< /alert >}}

The installer for appropriate version of Python can be downloaded from https://www.python.org/downloads. 

Choose Python version according to the compatibility table:

BornAgain version | Supported Python versions
------------------|---------------------------
20.0              | 3.8 to 3.10


Run the installer and follow the steps. 

Ensure that `pip` package manager is checked for installation. Command 
```
$ python3 -m ensurepip
```
will install `pip` if it is missing.

##### Alternative way

If the system is already equipped with [Homebrew](http://brew.sh/) (recommended) or [MacPorts](http://www.macports.org/) package managers, Python can be installed from the terminal.

For Homebrew users:
```
$ brew install python3
```

For MacPorts users (assuming Python version 3.9)
```
$ sudo port install python39
$ sudo port select --set python3 python39
```

### Install BornAgain Python package

{{< alert theme="info" >}}
For using BornAgain as GUI application only, this block can be skipped.
{{< /alert >}}

BornAgain Python package in available in the public repository and can be installed with `pip`:
```
$ python3 -m pip install bornagain
```

### Install BornAgain GUI application

{{< alert theme="info" >}}
For using BornAgain in scripts only, this block can be skipped.
{{< /alert >}}

The BornAgain installer can be downloaded from {{% url-releases %}}.
Its type must match the processor architecture, e.g.
`{{% recommended-macinstaller-amd64 %}}` or
`{{% recommended-macinstaller-arm %}}`.

After downloading the installer, double click `.dmg` file to mount it, accept the license agreement and then drag the BornAgain icon onto the Applications shortcut icon.

{{< figscg src="/img/draw/installation_macdmg2.png" class="center">}}

Depending on your system's security settings you might not be able to open BornAgain directly from the Launchpad. In this case, search Apple help pages for something like "Open a Mac app from an unidentified developer".

