+++
title = "Different roughness models"
weight = 15
+++

### Specular simulation with different roughness models

This example demonstrates how to apply different roughness models
in a specular reflectivity calculation. The considered sample is
exactly the same as the one described in the
[reflectometry tutorial](/ref/sim/class/specular/_index.md),
and the [basic roughness tutorial](/ref/sample/roughness/specular).
Hewever, now the computation is performed twice with the standard $tanh$ interface profile
and the Névot-Croce roughness model that arises from a Gaussian distribution of the
deviation from the mean-surface position.

{{< galleryscg >}}
{{< figscg src="/img/auto/specular/RoughnessModel.png" width="650px" caption="Intensity image">}}
{{< /galleryscg >}}

In both cases, the root-mean-square deviation from the mean surface position is chosen
to be $\sigma = 1$ nm.


{{< notice note >}}
Even though the same selection of the underlying roughness model can be done for
GISAS computations, we recommend to always use the default ($tanh$) for those simulations.
{{< /notice >}}


{{< highlightfile file="Examples/specular/RoughnessModel.py" >}}
