+++
title = "Simulation with a rough sample"
weight = 10
+++

### Specular simulation with a rough sample

This example demonstrates how to compute reflected signal from
a multilayered sample with surface roughness. All the experiment
layout is exactly the same as the one described in
[reflectometry tutorial](/ref/sim/class/specular/_index.md),
but now all the layers (except the ambient media) have roughness on the top surface. The
roughness is characterized by root-mean-square deviation from the mean surface position
$\sigma = 1$ nm.

{{< galleryscg >}}
{{< figscg src="/img/draw/SpecularSimulationWithRoughnessSetup.jpg" width="350px" caption="Real-space model">}}
{{< figscg src="/img/auto/specular/SpecularSimulationWithRoughness.png" width="350px" caption="Intensity image">}}
{{< /galleryscg >}}

When comparing the result of the simulation to the result obtained in the
[reflectometry tutorial](/ref/sim/class/specular/_index.md),
one can notice up to two orders of magnitude attenuation of the reflected signal due to
the roughness of the sample.

{{< notice note >}}
Note that other roughness characteristics (like Hurst parameter or lateral and cross correlation lengths)
previously described in [example on correlated roughness](/ref/sample/roughness)
do not affect the result of the simulation. The computation model takes into account only the
rms-deviation from the mean surface position.
{{< /notice >}}

{{< highlightfile file="Examples/specular/SpecularSimulationWithRoughness.py" >}}
