+++
title = "Constant background"
weight = 80
+++

### Constant background

To add a constant background to a `Simulation` instance, use

```python
bg = ba.ConstantBackground(1e3)
simulation.setBackground(bg)
```

{{< galleryscg >}}
{{< figscg src="/img/auto/scatter2d/ConstantBackground.png" width="450px" caption="Intensity image">}}
{{< /galleryscg >}}

The script below shows how to add a constant background in the context of a GISAXS simulation of an air-substrate bilayer with cylindrical particles embedded.

{{< highlightfile file="Examples/scatter2d/ConstantBackground.py" >}}
